Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## j3deditor.bin.components
Class SimpleButtonEvent

    java.lang.Object
      j3deditor.bin.components.SimpleButtonEvent

    public class SimpleButtonEvent

extends java.lang.Object

Object that describes the event sent by a `SimpleButton`.

Author:
  Risto Seene
See Also:
  `SimpleButton`, `SimpleButtonListener`

Constructor Summary
`SimpleButtonEvent(SimpleButton source)` Creates an instance of `SimpleButtonEvent` which is sent by the given object.
`SimpleButtonEvent(SimpleButton source, float x, float y)` Creates an instance of `SimpleButtonEvent` which is sent by the given object and drag distances.

Method Summary
`SimpleButton` | `getSource()` Returns the sender of this event.
`float` | `getX()` Returns the drag distance on X-axis.
`float` | `getY()` Returns the drag distance on Y-axis.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleButtonEvent

    public SimpleButtonEvent(SimpleButton source)

  Creates an instance of `SimpleButtonEvent` which is sent by the given object.

  Parameters:
    `source` - the sender of this event

### SimpleButtonEvent

    public SimpleButtonEvent(SimpleButton source,
                             float x,
                             float y)

  Creates an instance of `SimpleButtonEvent` which is sent by the given object and drag distances.

  Parameters:
    `source` - the sender of this event
    `x` - drag distance on X-axis
    `y` - drag distance on Y-axis

Method Detail

### getSource

    public SimpleButton getSource()

  Returns the sender of this event.

  Returns:
    Returns the sender of this event

### getX

    public float getX()

  Returns the drag distance on X-axis.

  Returns:
    drag distance on X-axis

### getY

    public float getY()

  Returns the drag distance on Y-axis.

  Returns:
    drag distance on Y-axis

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD